Bug 1418108 - abrt-dump-oops no longer captures the call trace
Summary: abrt-dump-oops no longer captures the call trace
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 21:58 UTC by Mikko Tiihonen
Modified: 2018-05-29 11:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:20:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikko Tiihonen 2017-01-31 21:58:00 UTC
Description of problem:
Abrt categorized my kernel lockup unreportable due to missing call trace while actually the call traces are in the dmesg, but oops parser just fails to parse them.

Version-Release number of selected component (if applicable):
abrt-addon-kerneloops-2.10.0-3.fc26.x86_64

How reproducible:
Occurs always

Steps to reproduce:
1.
cat > /tmp/oops.txt <<MARKER
NMI watchdog: BUG: soft lockup - CPU#7 stuck for 22s! [kworker/7:0:4136]
Modules linked in: fuse ... lots of modules
CPU: 7 PID: 4136 Comm: kworker/7:0 Not tainted 4.10.0-0.rc6.git0.1.fc26.x86_64 #1
Hardware name: Dell Inc. Precision 5510/08R8KJ, BIOS 1.2.18 12/01/2016
Workqueue: events nvkm_pstate_work [nouveau]
task: ffff9ef0beb34c80 task.stack: ffffb0b541ae8000
RIP: 0010:ioread32+0x19/0x40
RSP: 0018:ffffb0b541aebc70 EFLAGS: 00000296 ORIG_RAX: ffffffffffffff10
RAX: 00000000ffffffff RBX: ffff9ef126302400 RCX: 0000000000000000
RDX: ffff9ef0beb34c80 RSI: ffffb0b54410a580 RDI: ffffb0b54410a580
RBP: ffffb0b541aebd00 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
R13: ffff9ef12aa6c960 R14: ffff9ef125627a80 R15: 00000000fffffff7
FS:  0000000000000000(0000) GS:ffff9ef13ddc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055e223a366d0 CR3: 00000003eaf19000 CR4: 00000000003406e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 ? gt215_pmu_send+0x100/0x280 [nouveau]
 ? load_balance+0x184/0xa20
 nvkm_pmu_send+0x1c/0x30 [nouveau]
 nvkm_memx_init+0x45/0x100 [nouveau]
 gk104_ram_calc+0x65/0x3d40 [nouveau]
 nvkm_pstate_work+0x192/0x730 [nouveau]
 process_one_work+0x19e/0x470
 worker_thread+0x4e/0x4a0
 ? process_one_work+0x470/0x470
 kthread+0x11e/0x140
 ? kthread_park+0x90/0x90
 ? do_syscall_64+0x67/0x170
 ret_from_fork+0x2c/0x40
Code: 4e ff ff ff b8 ff ff 00 00 5d c3 0f 1f 80 00 00 00 00 48 81 ff ff ff 03 00 77 0e 48 81 ff 00 00 01 00 76 08 0f b7 d7 ed c3 8b 07 <c3> 55 48 c7 c6 ca 12 c9 ad 48 89 e5 e8 16 ff ff ff b8 ff ff ff 
MARKER

2. abrt-dump-oops -o /tmp/oops.txt

Actual results:
Call Trace is empty

Expected results:
The call trace from the oops.txt is preserved.

Additional info:

Comment 1 Fedora End Of Life 2017-02-28 11:08:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora End Of Life 2018-05-03 08:05:49 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:20:12 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.